Bug 102408 - Mesa not compiled with "__GLX_ALIGN64"
Mesa not compiled with "__GLX_ALIGN64"
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mesa (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-08-14 16:55 EDT by Brett Johnson
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-10 19:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brett Johnson 2003-08-14 16:55:51 EDT
Description of problem:

A simple OpenGL program (attached) will generate an unaligned access (even
though RedHat's kernel won't display it anywhere by default ;o).  This has a
pretty large effect on performance, and/or will cause a core dump if the program
is run with "prctl --unaligned=signal".  This appears to be fixed in Mesa, if
it's compiled with the "-D__GLX_ALIGN64" option.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Save the following program as "test.c"

void display( void ) {glScaled( 1.0, 1.0, 1.0 );}
main( int argc, char *argv[] ) {
    glutInit( &argc, argv );
    glutCreateWindow( "test" );
    glutDisplayFunc( display );

2. Compile test.c...

$ gcc -lglut -lGLU -lGL -lm -o test test.c

3. Run the program with prctl...

$ prctl --unaligned=signal ./test
Actual results:

Core dump.

Expected results:

No core dump.

Additional info:
Comment 6 Mike A. Harris 2005-05-10 19:05:03 EDT
Mesa is compiled with this option by default in RHEL 3 and RHEL 4.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.